using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    public class EquipmentFamilyItem
    {
        public EquipmentFamilyItem()
        {
            ChildItems = new List<EquipmentFamilyItem>();
        }
        /// <summary>
        /// 设备族编码
        /// </summary>
        [JsonProperty("code")]
        public string Code { get; set; }
        /// <summary>
        /// 设备族名称
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }
        /// <summary>
        /// 设备关联子项
        /// </summary>
        [JsonProperty("content")]
        public List<EquipmentFamilyItem> ChildItems { get; set; }
    }
}
